Name:           ipfw3
Version:        20110810
Release:        1%{?dist}
Summary:        FreeSBD packet filter ipfw3 for Linux

Group:          System Environment/Daemons
License:        BSD
URL:            http://info.iet.unipi.it/~marta/dummynet/
Source:         http://info.iet.unipi.it/~marta/dummynet/%{name}-%{version}.tar.gz
Source1:        ipfw3.init
Source2:        ipfw3.sysconfig

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
FreeSBD packet filter ipfw3 for Linux


%prep
%setup -q -n %{name}-%{version}


%build
cd ipfw
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m 755 ipfw/ipfw $RPM_BUILD_ROOT%{_sbindir}/ipfw
%{__install} -D -m 755 ipfw/ipfw.8 $RPM_BUILD_ROOT%{_mandir}/man8/ipfw.8
%{__install} -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/ipfw3
%{__install} -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ipfw3


%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ipfw3
fi


%preun
if [ $1 = 0 ]; then
    /sbin/service ipfw3 stop > /dev/null 2>&1
    /sbin/chkconfig --del ipfw3
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/ipfw3
%attr(755,root,root) %{_initrddir}/ipfw3
%{_sbindir}/*
%{_mandir}/man8/*



%changelog
* Wed Aug 10 2011 Denis Frolov <d.frolov81 at mail.ru> 20110810-1
- update to 20110810

* Sat May 22 2011 Denis Frolov <d.frolov81 at mail.ru> 20110510-1
- update to 20110510

* Thu Apr 05 2011 Denis Frolov <d.frolov81 at mail.ru> 20110404-1
- update to 20110404

* Mon Apr 04 2011 Denis Frolov <d.frolov81 at mail.ru> 20110124-1
- update to 20110124

* Wed Jan 05 2011 Denis Frolov <d.frolov81 at mail.ru> 20101110-1
- update to rev6330
